Bug 9230 - autorun -t "command string" does not detect cd insert events
Summary: autorun -t "command string" does not detect cd insert events
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: autorun   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-08 17:01 UTC by Brock Organ
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-10 20:34:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brock Organ 2000-02-08 17:01:11 UTC
issues:

o when running with -a it doesn't automatically run "/autorun" when an
appropriate cd is inserted

o when running with -t "command" the command string is not executed despite
multiple insert and eject events ...

[root@test95 /root]# autorun -a -v -n " date >> /root/changes " -t " date
>> /root/inserted" -e " date >> /root/ejected"

after inserting and ejecting a cd twice, we have proper files for the
change, eject events but NO file logging the insert event; further, the
autorun script on the cd is not executed ...

[root@test95 /root]# ls -l
total 152
-rw-r--r--    1 root     root          145 Feb  8 12:04 changes
-rw-r--r--    1 root     root           87 Feb  8 12:04 ejected
[root@test95
/root]#

[root@test95 /root]# more changes
Tue Feb  8 12:02:17 EST 2000
Tue Feb  8 12:02:37 EST 2000
Tue Feb  8 12:03:02 EST 2000
Tue Feb  8 12:04:12 EST 2000
Tue Feb  8 12:04:34 EST 2000
[root@test95 /root]# more ejected
Tue Feb  8 12:02:17 EST 2000
Tue Feb  8 12:03:02 EST 2000
Tue Feb  8 12:04:34 EST 2000
[root@test95
/root]#

Comment 1 harald.hoyer 2000-02-10 14:17:59 UTC
SYNOPSIS
       autorun [-a EXEC] ...
OPTIONS
       -a, --autorun=EXEC
              Execute EXEC, if the CD changes

So you have to specify s.th. like
$ autorun -a /myautorunname

Comment 2 Preston Brown 2000-02-10 20:34:59 UTC
Please document in man page, but this will be closed as "NOTABUG."


Note You need to log in before you can comment on or make changes to this bug.